#!/usr/bin/env python3

import netifaces
from common import INTERFACE

def main():
    addr = netifaces.ifaddresses(INTERFACE)[netifaces.AF_INET][0]
    assert addr['addr'].startswith('10.0.2.'), "wrong net prefix"
    assert addr['netmask'] == '255.255.255.0', "wrong netmask"

if __name__ == '__main__':
    main()
