#!/usr/bin/bash

TESTS="connect_error.py long_messages.py many_messages_many_addrs.py many_messages_one_addr.py one_message_many_addrs.py one_message_one_addr.py reconnect.py send_error.py sequential.py"

TESTS_COUNT=$(wc -w <<< $TESTS)
PASSED=0

for x in $TESTS; do
    echo === $x ===
    if ./$x ; then
        ((++PASSED))
        echo OK
    else
        echo Failed
    fi
done

if ((PASSED == TESTS_COUNT)); then
    echo All passed
    exit 0
else
    echo Some tests failed
    exit 1
fi
